List submissions and their score, rank, and reward summaries.
curl --request GET \
--url https://api.example.com/v1/workflows/{id}/submissions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v1/workflows/{id}/submissions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v1/workflows/{id}/submissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"ok": true
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}Workflows and Nodes
GET /v1/workflows/{id}/submissions
GET
/
v1
/
workflows
/
{id}
/
submissions
List submissions and their score, rank, and reward summaries.
curl --request GET \
--url https://api.example.com/v1/workflows/{id}/submissions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v1/workflows/{id}/submissions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v1/workflows/{id}/submissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"ok": true
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}List one workflow’s submissions — newest first — with race scores, ranks, rewards, and a rollup summary (
total, best_rank, last_rank, latest_score).
Was this page helpful?
